unit MikArray;

interface

uses Messages, SysUtils, Classes, Windows,
     MikApi04d, MikTypes;
// WinTypes, WinProcs,

type

  TMikArray = class(TObject)
    public
      Count : Integer;
      arr : Array[0..18] of _dataitem;
      ArrElement : Array[0..18] of Sc;
      Constructor Create;
      Procedure Free;
      Procedure SetValue(Index : Integer; Value : String);
      Procedure AddValue(Value : String);
      Function  GetValue(Index : Integer): String;
      Procedure InitArray;
  end;


implementation

{------------------------------------------------------------------------------}
{ Funktion fr TMikArray                                                       }
{------------------------------------------------------------------------------}
Procedure TMikArray.Free;
begin
  InitArray;
  inherited Free;
end;

{------------------------------------------------------------------------------}
Constructor TMikArray.Create;
begin
  inherited create;
  count := 0;
  InitArray;
end;

{------------------------------------------------------------------------------}
Procedure TMikArray.AddValue(Value : String);
begin
  strPCopy(arrElement[count],value);
  arr[count].Item := @arrElement[count];
  Inc(count);
end;

{------------------------------------------------------------------------------}
Procedure TMikArray.SetValue(Index : Integer; Value : String);
begin
  strpcopy(arrElement[Index+1],Value);
  arr[Index+1].Item := @arrElement[Index+1];
end;

{------------------------------------------------------------------------------}
Function  TMikArray.GetValue(Index : Integer): String;
begin
  result := '';
  if Index < count then
     result := strPas(arrElement[Index]);
end;

{------------------------------------------------------------------------------}
Procedure TMikArray.InitArray;
begin
  FillChar(arrElement,SizeOf(arrElement),0);
  FillChar(arr,SizeOf(arr),0);
  count := 0;
end;

end.
 
